# PWM Sound

import board, time, pwmio, adafruit_mpr121

i2c = board.I2C()
touch_pad = adafruit_mpr121.MPR121(i2c)

tone = pwmio.PWMOut(board.D3, variable_frequency=True)
volume = 200
tone.duty_cycle = volume

notes = [262, 294, 330, 349, 392, 440, 494, 523]
tone_duration = 0.2
rest_duration = 0.01

def play_a_tone(freq):
    tone.duty_cycle = volume
    tone.frequency = freq

while True:
    touched = False
    for i in range(12):
        if touch_pad[i].value:
            print("You touched pad #{}!".format(i))
            play_a_tone(notes[i])
            touched = True
    if touched == False:
        tone.duty_cycle = 0
